Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class RunningCRDInfo

    java.lang.Object
      jet.server.api.crd.RunningCRDInfo

All Implemented Interfaces:
  java.io.Serializable

    public class RunningCRDInfo

extends java.lang.Object
implements java.io.Serializable

this class is used to wrap a running CRD (cached report data) information

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getCatalogName()` Gets catalog name.
`java.lang.String` | `getCatalogPath()` Gets catalog path.
`java.lang.String` | `getDataSource()` Gets data source.
`java.util.Date` | `getLastModified()` Gets last modified time.
`java.lang.String` | `getParamFile()` Gets parameter file.
`java.lang.String` | `getPassword()` Gets password.
`java.lang.String` | `getQueryName()` Gets query name.
`int` | `getQueryType()` Gets query type.
`java.util.Date` | `getStartTime()` Gets start time.
`java.lang.String` | `getUserName()` Gets user name.
`boolean` | `isLazy()` Whether the CRD is lazy.
`java.lang.String` | `toString()` Converts this object to string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getStartTime

    public java.util.Date getStartTime()

  Gets start time.

  Returns:
    start time.

### getCatalogName

    public java.lang.String getCatalogName()

  Gets catalog name.

  Returns:
    catalog name.

### getCatalogPath

    public java.lang.String getCatalogPath()

  Gets catalog path.

  Returns:
    catalog path.

### getDataSource

    public java.lang.String getDataSource()

  Gets data source.

  Returns:
    data source.

### getLastModified

    public java.util.Date getLastModified()

  Gets last modified time.

  Returns:
    return last modified time.

### getParamFile

    public java.lang.String getParamFile()

  Gets parameter file.

  Returns:
    parameter file.

### getPassword

    public java.lang.String getPassword()

  Gets password.

  Returns:
    return password.

### getQueryName

    public java.lang.String getQueryName()

  Gets query name.

  Returns:
    query name.

### getQueryType

    public int getQueryType()

  Gets query type.

  Returns:
    query type.

### getUserName

    public java.lang.String getUserName()

  Gets user name.

  Returns:
    user name.

### isLazy

    public boolean isLazy()

  Whether the CRD is lazy.

  Returns:
    whether the CRD is lazy.

### toString

    public java.lang.String toString()

  Converts this object to string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string information of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD